aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxcursor
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-27 21:41:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-27 21:41:00 +0000
commit5fb1c890bc5ffeee34c60af1707ea111a64558ac (patch)
tree59d9cf75a99e260503abb39865bfcf06c173b58d /x11/libxcursor
parent47c274605d0efd1ac50e372a57d23e45b8ce2fe3 (diff)
downloadaports-5fb1c890bc5ffeee34c60af1707ea111a64558ac.tar.gz
aports-5fb1c890bc5ffeee34c60af1707ea111a64558ac.tar.bz2
aports-5fb1c890bc5ffeee34c60af1707ea111a64558ac.tar.xz
x11/libxcursor: new aport
X cursor management library
Diffstat (limited to 'x11/libxcursor')
-rw-r--r--x11/libxcursor/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/x11/libxcursor/APKBUILD b/x11/libxcursor/APKBUILD
new file mode 100644
index 0000000000..87ee0a5b77
--- /dev/null
+++ b/x11/libxcursor/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxcursor
+pkgver=1.1.9
+pkgrel=0
+pkgdesc="X cursor management library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="libxfixes libxrender libx11 uclibc"
+makedepends="pkgconfig libxfixes-dev libx11-dev libxrender-dev"
+source="http://xorg.freedesktop.org//releases/individual/lib/libXcursor-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/libXcursor-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="99b7554037a92b260891091e81815a0a libXcursor-1.1.9.tar.bz2"